Subject: Re: [PATCH gnome-team 00/14] Update everything in (gnu packages glib)
From: Maxim Cournoyer <[email-masked]>
To: Liliana Marie Prikler <[email-masked]>
Cc: [email-masked], Vivien Kraus <[email-masked]>, [email-masked]
Date: Sun, 22 Oct 2023 20:47:26 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Liliana,

Liliana Marie Prikler <[email-masked]> writes:

> Am Sonntag, dem 22.10.2023 um 22:33 +0200 schrieb Vivien Kraus:
>> Dear guix,
>> 
>> Let’s try and upgrade that bunch of packages and see how it goes.
>> 
>> Best regards,
>> 
>> Vivien
>> 
>> Vivien Kraus (14):
>>   gnu: xdg-dbus-proxy: Update to 0.1.5.
>>   gnu: template-glib: Update to 3.36.1.
>>   gnu: appstream-glib: Update to 0.8.2.
>>   gnu: sdbus-c++: Update to 1.4.0.
>>   gnu: perl-glib-object-introspection: Update to 0.051.
>>   gnu: perl-glib: Update to 1.3294.
>>   gnu: python-pygobject: Update to 3.46.0.
>>   gnu: glib: Update to 2.78.0.
>>   gnu: glibmm: Update to 2.78.0.
>>   gnu: libsigc++: Update to 3.6.0.
>>   gnu: libaccounts-glib: Update to 1.26.
>>   gnu: dbus-glib: Update to 0.112.
>>   gnu: gobject-introspection: Update to 1.78.1.
>>   gnu: dbus: Update to 1.15.8.
> FYI, we already have a bump from 2.72 to 2.76.  I'd rather look at more
> leafy stuff right now than rebuilding the world; unless you have a good
> reason to do so anyway.

We have at least one good reason: 45 is out, and uses 2.78 out of the
box, which is likely at one point or another to be depended upon by some
GNOME application; better safe than sorry, I'd say.

I find this release engineering bill of material of what goes in the GNOME
releases very useful:
<https://ftp2.nluug.nl/windowing/gnome/teams/releng/45.0/versions>.

-- 
Thanks,
Maxim